<?php

class SharedFilesAdminMaintenance
{
    public function update_db_check()
    {
        //    wp_clear_scheduled_hook('check_expired_files');
        //    wp_clear_scheduled_hook('cron_sync_folders_and_files');
        if ( !wp_next_scheduled( 'check_expired_files' ) ) {
            wp_schedule_event( time(), 'daily', 'check_expired_files' );
        }
        $sf_dir = wp_get_upload_dir()['basedir'] . '/shared-files/';
        $sf_file = $sf_dir . 'index.php';
        
        if ( is_dir( $sf_dir ) && !file_exists( $sf_file ) && ($file = fopen( $sf_file, 'a' )) ) {
            fwrite( $file, '<?php // Automatically generated by Shared Files ?>' . PHP_EOL );
            fclose( $file );
        }
        
        //    delete_option('shared_files_settings');
        $s = get_option( 'shared_files_settings' );
        
        if ( $s === false ) {
            //      register_setting('shared-files', 'shared_files_settings');
            $default_settings = [
                'hide_bandwidth_usage'                            => 'on',
                'card_background'                                 => 'light_gray',
                'preview_service'                                 => 'microsoft',
                'uncheck_hide_from_other_pages'                   => 'on',
                'always_preview_pdf'                              => 'on',
                'bypass_preview_pdf'                              => 'on',
                'pagination_type'                                 => 'improved',
                'wp_engine_compatibility_mode'                    => 'on',
                'show_file_upload_checkboxes_on_multiple_columns' => 'on',
                'show_download_button'                            => 'on',
                'show_download_counter'                           => 'on',
            ];
            add_option( 'shared_files_settings', $default_settings );
        }
    
    }
    
    public function update_db_check_v2()
    {
        $installed_version = get_site_option( 'shared_files_version' );
        
        if ( $installed_version != SHARED_FILES_VERSION ) {
            global  $wpdb ;
            $charset_collate = $wpdb->get_charset_collate();
            // Table for debug data and general log
            $table_name_log = $wpdb->prefix . 'shared_files_log';
            $wpdb->query( "CREATE TABLE IF NOT EXISTS " . $table_name_log . " (\n        id              BIGINT(20) NOT NULL auto_increment,\n        title           VARCHAR(255) NOT NULL,\n        message         TEXT NOT NULL,\n        created_at      TIMESTAMP DEFAULT CURRENT_TIMESTAMP,\n        PRIMARY KEY (id)\n      ) " . $charset_collate . ";" );
            update_option( 'shared_files_version', SHARED_FILES_VERSION );
            SharedFilesHelpers::writeLog( 'Plugin updated to version ' . SHARED_FILES_VERSION, '' );
        }
    
    }
    
    public function add_cron_interval( $schedules )
    {
        $schedules['every_min'] = array(
            'interval' => 60,
            'display'  => 'Every minute',
        );
        $schedules['every_15_min'] = array(
            'interval' => 900,
            'display'  => 'Every 15 minutes',
        );
        $schedules['shared_files_every_5_min'] = array(
            'interval' => 300,
            'display'  => 'Every 5 minutes',
        );
        return $schedules;
    }

}